#!bin/bash

echo "start"

serverPath=/server
task_log_path=${serverPath}/timed_task.log

#zone_id=$(awk '{print $1}' ${serverPath}/config.txt)
zone_id=$(awk 'NR==1{split($0,a,"=");print a[2]}' ${serverPath}/config.txt)
echo $zone_id

cur_time=$(date "+%Y-%m-%d %H:%M:%S")
echo "当前执行开服：${zone_id}区开始时间为:${cur_time}" >> $task_log_path

#1:execute install
sh ${serverPath}/srv_install.sh $zone_id
cur_time=$(date "+%Y-%m-%d %H:%M:%S")
echo "${cur_time}=>srv_install.sh ${zone_id}" >> $task_log_path

#4:update 
db_user="root"
db_password="wch123.com"
db_name="sdk"
table_name="game_server"

index1=Tap
index2=区
server_name="$index1$zone_id$index2"
server_name2="寻道$((zone_id - 180))区"
#mapserver() {
#  server_name=$index1$zone_id$index2
#  echo $server_name
#}
echo $server_name
mongodb_name=$((350001 + zone_id))
port=$((8191 + zone_id))
wss="wss://game-gfyx.muzigame.com/bin/${port}"

update_sql="insert into game_server(id,name,status,ip,port,tag,tips,white_list,open_time,db_name, megre_server,wss,sid)values(${zone_id},'${server_name}', 1,'118.145.139.78',${port},1,'','',0,'ckwy_fy_S${mongodb_name=$}',0,'',${zone_id});"

if [ $zone_id -ge 180 ]; then
    update_sql="${update_sql}insert into game_server(id,name,status,ip,port,tag,tips,white_list,open_time,db_name, megre_server,wss,sid) values($((2000 + zone_id)),'${server_name2}', 1,'118.145.139.78',${port},14,'','',0,'ckwy_fy_S${mongodb_name=$}',0,'${wss}',$((zone_id - 180)));"
fi

mysql -u $db_user -p$db_password $db_name -e "$update_sql"

cur_time=$(date "+%Y-%m-%d %H:%M:%S")
echo "${cur_time}=>update sql:${update_sql}" >> $task_log_path

#5:add 1
((zone_id++))
cur_time=$(date "+%Y-%m-%d %H:%M:%S")
echo "${cur_time}=>zone_id++ ${zone_id}" >> $task_log_path

#6:save id
sed -i "1c\zone_start_id=${zone_id}" ${serverPath}/config.txt
sed -i "2c\port=${port}" ${serverPath}/config.txt
cur_time=$(date "+%Y-%m-%d %H:%M:%S")
echo "${cur_time}=>zone_id++ ${zone_id}" >> $task_log_path

cur_time=$(date "+%Y-%m-%d %H:%M:%S")
echo "当前执行开服：${zone_id}区结束时间为:${cur_time}" >> $task_log_path

echo $zone_id
